Name: vile-perl
Version: 8.3
Release: 1
Group: Applications/Editors
Copyright: BeerWare :-) (see COPYING)/distributable
URL: ftp://ftp.clark.net/pub/dickey/vile
Source0: vile-%{version}.tgz
Source1: vile.wmconfig
Source2: xvile.wmconfig
Patch0: vile-8.3-makefile.patch
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
Summary: VI clone with extended capabilities and X11 support
BuildRoot: /tmp/vile-perl-build
requires: perl = 5.004-4

%changelog
* Tue Apr 27 1999 Jeff Morriss <bugs@pobox.com>
- Added support for color icons in xvile
- Some general RPM cleanups
- Added macros to documentation
- Upgraded to 8.3

* Wed Nov 18 1998 Jeff Morriss <bugs@pobox.com>
- Modifications for RHCN: buildroot, %attr, etc

* Sat Oct 3 1998 Jeff Morriss <morriss@pobox.com>
- Upgraded to 8.1

* Thu Sep 19 1998 Jeff Morriss <morriss@pobox.com>
- Added wmconfig files
- Started keeping changelog :)

%description
Vile is a text editor which is extremely compatible with vi in terms
of "finger feel."  In addition, it has extended capabilities in many areas,
notably multi-file editing and viewing, key rebinding, and real X window
system support.

This version has the Perl API enabled.  In order to function properly, you
must have the perl-5.004-4 RPM installed.

%prep
%setup -q -n vile-%{version}
%patch0 -p1

%build
EXTRA_CFLAGS="$RPM_OPT_FLAGS" INSTALL_PROGRAM='${INSTALL} -s' ./configure --with-perl --with-screen=x11 --with-xpm --prefix=/usr
make
EXTRA_CFLAGS="$RPM_OPT_FLAGS" INSTALL_PROGRAM='${INSTALL} -s' ./configure --with-perl --prefix=/usr
make
make vile-perl-api.man vile-perl-api.html

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
./mkdirs.sh $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -m 755 xvile $RPM_BUILD_ROOT/usr/X11R6/bin/xvile
./mkdirs.sh $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -m 644 vile.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xvile.1
install -m 644 vile-perl-api.man $RPM_BUILD_ROOT/usr/man/man1/vile-perl-api.1
cp vile-perl-api.html doc

./mkdirs.sh $RPM_BUILD_ROOT/etc/X11/wmconfig
install $RPM_SOURCE_DIR/vile.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/vile
install $RPM_SOURCE_DIR/xvile.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/xvile

mv $RPM_BUILD_ROOT/usr/share/vile/*.rc macros

%files
%attr(644, root, root) %config(missingok) /etc/X11/wmconfig/vile
%attr(644, root, root) %config(missingok) /etc/X11/wmconfig/xvile
%attr(-, root, root) /usr/bin/vile
%attr(-, root, root) /usr/X11R6/bin/xvile
%attr(-, root, root) /usr/share/vile
%attr(-, root, root) /usr/lib/vile
%attr(-, root, root) /usr/man/man1/vile.1
%attr(-, root, root) /usr/X11R6/man/man1/xvile.1
%attr(-, root, root) %doc CHANGES*
%attr(-, root, root) %doc COPYING INSTALL MANIFEST README*
%attr(-, root, root) %doc doc/*
%attr(-, root, root) %doc macros

%clean
#rm -rf $RPM_BUILD_ROOT

